# OpenCLException (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class OpenCLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.lwjgl.opencl.OpenCLException

All Implemented Interfaces:
  java.io.Serializable

    public class OpenCLException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`OpenCLException()`
`OpenCLException(java.lang.String message)`
`OpenCLException(java.lang.String message, java.lang.Throwable cause)`
`OpenCLException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenCLException

    public OpenCLException()

### OpenCLException

    public OpenCLException(java.lang.String message)

### OpenCLException

    public OpenCLException(java.lang.String message,
                           java.lang.Throwable cause)

### OpenCLException

    public OpenCLException(java.lang.Throwable cause)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.